metadata:
  name: erp-ltp
  description: Test plan for EE RPB. Common features across all boards
  os: Debian
  devices:
    - d03
    - d05
    - thunderX
    - moonshot
    - mustang
    - overdrive
  maintainer:
    - milosz.wasilewski@linaro.org
    - dan.rue@linaro.org
    - chase.qi@linaro.org
  approver:
    - milosz.wasilewski@linaro.org
  owner:
    - martin.stadtler@linaro.org
  format: Linaro Test Plan v2

tests:
  automated:
    - path: automated/linux/ltp/ltp.yaml
      repository: https://git.linaro.org/qa/test-definitions.git
      parameters:
          TST_CMDFILES: syscalls,mm,math,timers,fcntl-locktests,ipc,fsx,fs,hugetlb,io,nptl,pty,containers,fs_bind,filecaps,admin_tools,connectors
          SKIPFILE: skipfile-rpk
      timeout: 18000
